Name: swig
Version: 1.3.19
Release: alt2

Summary: Simplified Wrapper and Interface Generator (SWIG)
License: Open Source
Group: Development/C

Url: http://www.swig.org/

Source: http://download.sourceforge.net/swig/%name-%version.tar.bz2
Patch0: swig-1.3.19-fix-detect-php.patch

# XXX buildreq fault
BuildPreReq: ruby

# XXX python22 is the most stable for now
BuildPreReq: python22-devel

# Automatically added by buildreq on Thu Nov 27 2003
BuildRequires: XFree86-devel-static gcc-c++ glibc-devel-static guile16-devel libruby-devel libstdc++-devel ocaml perl-devel php-devel python-devel ruby-stdlibs tcl-devel

%description
SWIG takes an interface description file written in a combination of C/C++
and special directives and produces interfaces to Perl, Python, and Tcl.
It allows scripting languages to use C/C++ code with minimal effort.

%package devel
Summary: Header files and docs for developing apps which will use %name
Group: Development/C
Requires: %name = %version-%release

%package devel-static
Summary: Static libraries for developing apps which will use %name
Group: Development/C
Requires: %name-devel = %version-%release

%description devel
SWIG takes an interface description file written in a combination of C/C++
and special directives and produces interfaces to Perl, Python, and Tcl.
It allows scripting languages to use C/C++ code with minimal effort.

Install the %name-devel package if you want to develop applications that
will use the %name library.

%description devel-static
SWIG takes an interface description file written in a combination of C/C++
and special directives and produces interfaces to Perl, Python, and Tcl.
It allows scripting languages to use C/C++ code with minimal effort.

This package contains static %name libraries.

%prep
%setup -q -n SWIG-%version
%patch0 -p1

%build
./autogen.sh
%configure \
	--with-pyinc=%_includedir/python2.2 \
	--with-pylib=%_libdir/python2.2 \
	--with-tclconfig=/usr/lib

# SMP incompatible
%make
perl -pi -e 's/\/usr\/local\/include\/Py/\/usr\/include\/python2.2/g' Runtime/Makefile
%make runtime

%install
make install DESTDIR=%buildroot
%__mkdir_p %buildroot%_includedir
%__cp -aL Source/Swig/swig.h Source/DOH/doh.h %buildroot%_includedir
# symlinks
%__rm -fv Examples/perl Examples/test-suite/perl Examples/GIFPlot/Php4

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc CHANGES LICENSE README
%_bindir/%name
%_libdir/lib*.so*
%_libdir/%{name}*

%files devel
%doc Examples Doc
%_includedir/*.h
#_libdir/*.la

%if_enabled static
%files devel-static
%_libdir/*.a
%endif

%changelog
* Thu Nov 27 2003 Alexey Tourbin <at@altlinux.ru> 1.3.19-alt2
- do not package .la files
- post/postun ldconfig scripts added
- static libraries not packaged by default

* Thu Nov 13 2003 Alexey Tourbin <at@altlinux.ru> 1.3.19-alt1
- updated to 1.3.19

* Thu Oct 17 2002 Rider <rider@altlinux.ru> 1.3.16-alt1
- 1.3.16

* Wed Aug 14 2002 Rider <rider@altlinux.ru> 1.3.14-alt1
- 1.3.14
- specfile cleanup
- BuildRequires fix

* Sat Feb 09 2002 Rider <rider@altlinux.ru> 1.3.11-alt1
- 1.3.11

* Fri Jan 04 2002 Rider <rider@altlinux.ru> 1.3a5-alt1
- 1.3a5

* Sat Jan 13 2001 AEN <aen@logic.ru>
- RE  adaptation
- build with pythin 2.0

* Fri Nov 17 2000 David BAUDENS <baudens@mandrakesoft.com> 1.3a3-2mdk
- Rebuild with gcc-2.96 & glibc-2.2

* Wed Jul 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3a3-1mdk
- BM.
- Clean up specs.
- 1.3a3.

* Tue Jun 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1p5-5mdk
- Use makeinstall macros.

* Mon Apr 10 2000 Francis Galiegue <fg@mandrakesoft.com> 1.1p5-4mdk

- Provides: swig

* Mon Apr  3 2000 Pixel <pixel@mandrakesoft.com> 1.1p5-3mdk
- rebuild with new perl
- cleanup

* Wed Mar 22 2000 Francis Galiegue <fg@mandrakesoft.com> 1.1p5-2mdk

- Rebuilt on kenobi
- Don't use prefix

* Fri Mar 10 2000 Francis Galiegue <francis@mandrakesoft.com> 1.1p5-1mdk
- First RPM for Mandrake

